/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#ifndef SEPARATORWIDGET_H
#define SEPARATORWIDGET_H

#include "SDL/SDL.h"
#include "widget.h"
#include "bitmapfont.h"

class SeparatorWidget : public Widget
{
	public:

		SeparatorWidget(int space);
		~SeparatorWidget();

		// inherited
		int draw(SDL_Surface *dest, int x, int y, int w, bool selected);
		int get_height(bool selected);
		bool on_button_down(int button);
		bool on_button_up(int button);
		
		bool is_selectable();
	
	private:
		int space;
};


#endif
